/* ------------------------------------------------------------------------- */
/* SNF006.CMD - Code page switching                                          */
/*                                                                           */
/*    Parameters: NONE                                                       */
/*                                                                           */
/*    Carried on: ACCEPTANCE DISKETTE 1 and w:\accept\batch on LAN setup     */
/*                                                                           */
/*    Invocation: from OS/2 full screen prompt \batch\snf006                 */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT') /* get OS2 boot drive letter */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT') /* get testcase drive letter */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ************************************************************************* */
/* -- CHECK CONFIG.SYS LIBPATH, PATH, DPATH, LOCKER.SYS, LOCK32.SYS      --- */
/* --    TO VERIFY THAT PCMSETUP HAS BEEN DONE.                          --- */
/* ************************************************************************* */
chkpath:
xlocker = 0; xlock32 = 0;
xlibpath = 0; xpath = 0; xdpath = 0;
filename = os2drv':\config.sys';
x=stream(filename,'c','open read');
/*------------------------------------- */
do forever;
   pathline = linein(filename);
   if pos('LIBPATH', pathline) > 0 then do
      if pos(tstdrv':\STRESS;'tstdrv':\UTIL',pathline) > 0 then xlibpath = 1;
      end
   else
   if pos('SET PATH', pathline) > 0 then do
      if pos(tstdrv':\STRESS;'tstdrv':\CMD;'tstdrv':\UTIL;'tstdrv':\TEXT',pathline) > 0 then xpath = 1;
      end
   else
   if pos('SET DPATH', pathline) > 0 then do
      if pos(tstdrv':\STRESS;'tstdrv':\CMD;'tstdrv':\SCRIPT;'tstdrv':\TEXT',pathline) > 0 then xdpath = 1;
      end
   else do
        if pos('LOCKER.SYS', pathline) > 0 then xlocker = 1
        if pos('LOCK32.SYS', pathline) > 0 then xlock32 = 1
        end
   if lines(filename) = 0 then leave
end
/*------------------------------------- */
if xlibpath = 0 then signal pathprob
if xpath    = 0 then signal pathprob
if xdpath   = 0 then signal pathprob
if xlocker  = 0 then signal pathprob
if xlock32  = 0 then signal pathprob

/* ************************************************************************* */
/* -- NOW CHECK ACTIVE PATH AND DPATH TO VERIFY THAT SYSTEM WAS REBOOTED --- */
/* --    AFTER PCMSETUP, AND BEFORE TRYING TO RUN TESTCASES.             --- */
/* ************************************************************************* */
xactpath = 0; xactdpath = 0;
actpath  = value('PATH',,'OS2ENVIRONMENT');              /* get active PATH  */
actdpath = value('DPATH',,'OS2ENVIRONMENT');             /* get active DPATH */
if pos(tstdrv':\STRESS;'tstdrv':\CMD;'tstdrv':\UTIL;'tstdrv':\TEXT',actpath) > 0 then xactpath = 1;
if pos(tstdrv':\STRESS;'tstdrv':\CMD;'tstdrv':\SCRIPT;'tstdrv':\TEXT',actdpath) > 0 then xactdpath = 1;
/*-------------------------------------------------------------------------- */
if xactpath    = 0 then signal rbootprob
if xactdpath   = 0 then signal rbootprob

/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \nlscpa'
'call nlscpa US'
'cd \batch'
exit

/*-------------------------------------------------------------------------- */
PATHPROB:
  say '[1;09;41mͻ'
  say ' *** CONFIG.SYS IS NOT SETUP CORRECTLY FOR TESTCASE EXECUTION *** '
  say '                                                                  '
  say ' You will need to run PCMSETUP (if CDROM testkit install), or     '
  say ' run the SETUP diskette (if Diskette testkit install) in order    '
  say ' to copy required files to the OS2 boot drive and update the      '
  say ' CONFIG.SYS, AUTOEXEC.BAT, and STARTUP.CMD for PCM Testcases.     '
  say '                                                                  '
  say ' Then shutdown and reboot the system for PCM Testcase execution.  '
  say 'ͼ[0;40;37m'
  exit
/*-------------------------------------------------------------------------- */
RBOOTPROB:
  say '[1;09;41mͻ'
  say ' *** CONFIG.SYS WAS SETUP CORRECTLY, BUT SYSTEM WAS NOT *** '
  say '     REBOOTED PRIOR TO ATTEMPTING TESTCASE EXECUTION.       '
  say '                                                            '
  say ' SHUTDOWN and REBOOT the system to activate the changes in  '
  say ' config.sys for PCM Testcase execution.                     '
  say 'ͼ[0;40;37m'
  say ''
  exit
/*-------------------------------------------------------------------------- */
INFO_PLEASE:
  say '[1;26;45m  ͻ  '
  say '   SNF006.CMD is copied to \BATCH directory on testcase partition     '
  say '                                                                      '
  say '   Parameters: NONE                                                   '
  say '                                                                      '
  say '   Tests code page switching                                          '
  say '                                                                      '
  say '   Uses OS/2 environment variables to determine testcase drive.       '
  say '  ͼ  [0;40;37m'
  exit
