/* ------------------------------------------------------------------------- */
/* SNFBPB.CMD - Tests HPFS long file names                                   */
/*                                                                           */
/*    Parameters: NONE                                                       */
/*                                                                           */
/*    Invocation: from OS/2 full screen prompt  \batch\snfbpb                */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/*                                                                           */
/*    Checks for an HPFS partition to use, if none found, display message    */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT') /* get OS2 boot drive letter */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT') /* get testcase drive letter */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \'
if stream(os2drv':\tmpbpb','c','query size') >= 0 then do
   signal CHECK_TSTDRV_TMP
   end
else
   do
   'mkdir 'os2drv':\tmpbpb'
   end

CHECK_TSTDRV_TMP:
if stream(tstdrv':\tmpbpb','c','query size') >= 0 then do
   signal START_CHK
   end
else
   do
   'mkdir 'tstdrv':\tmpbpb'
   end

START_CHK:
gothpfs = 'N'
hpfsdrv = ''

rc = RXFUNCADD('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs')
call SysLoadFuncs
drives = SysDriveMap(,LOCAL);
'echo ****************************************************** >'tstdrv':\batch\snfbpb_l'

outdrv = tstdrv;
parse var drives d.1 d.2 d.3 d.4 d.5 d.6 d.7 d.8 d.9 d.10 d.11 d.12 d.13 d.14 d.15 d.16 d.17 d.18 d.19 d.20 d.21 d.24 d.23 d.24
do indx=1 to 24 by 1
    code = left(d.indx,1)
    /* --------------------------------------------------------------------- */
    /* if os2 and test drives ARE NOT EQUAL, and if the test drive is being  */
    /* checked, then defer output to the os2 drive to avoid any conflicts.   */
    /* --------------------------------------------------------------------- */
    if os2drv = tstdrv then do
       outdrv = tstdrv;
       end
    else do
         if code = tstdrv then do
            outdrv = os2drv;
            end
         else do
              outdrv = tstdrv;
              end
         end
    /* --------------------------------------------------------------------- */
    if pos(code,'CDEFGHIJKLMNOPQRSTUVWXYZ') > 0  then do
       'echo ** Check drive 'code': for HPFS ** >>'tstdrv':\batch\snfbpb_l'
       infow. = ''
       infox = SysDriveInfo(code)
       parse var infox infow.1 infow.2 infow.3 infow.4
       'echo **Drive**'infow.1' **Free** 'infow.2' **Total** 'infow.3' **Label**'infow.4' >>'tstdrv':\batch\snfbpb_l'
       if infow.1 > '' then do
          'chkdsk 'code': <'tstdrv':\text\yes.in > 'outdrv':\tmpbpb\ckdrv_'code
          if rc = 4 then rc = 0
          if rc = 0 then do
             call find_hpfs 'ckdrv_'code
             if gothpfs = 'Y' then do
                hpfsdrv = code
                signal HPFS_DRV
             end
          end
          else do
               say 'ERROR - RC = 'rc
               signal CLEANUP
               end

       end
    end
end
/* ------------------------------------------------------------------------- */
if gothpfs = 'N' then do
   'echo ****************************************************** >>'tstdrv':\batch\snfbpb_l'
   'echo *  NO HPFS PARTITIONS FOUND to test long names with. * >>'tstdrv':\batch\snfbpb_l'
   'echo ****************************************************** >>'tstdrv':\batch\snfbpb_l'
   signal CLEANUP
   end
/* ------------------------------------------------------------------------- */
/* Drops though to here ONLY if an HPFS partition has been found for testing */
/* ------------------------------------------------------------------------- */
HPFS_DRV:
hpfsdrv':'
'cd \'
'md hpfsdir'
'cd hpfsdir'
'MD "A~Long!@#$%^^&()File_na me.,,.+"'
'CD "A~Long!@#$%^^&()File_na me.,,.+"'

if stream(os2drv':\autoexec.bat','c','query size') >= 0 then do
   'rename 'os2drv':\autoexec.bat AUTOEXEC.BAT'
   end

'copy 'os2drv':\AUTOEXEC.BAT "A long~!@#$%^&*(()-_=..,.bat"'

dir
say '   MAKE SURE THERE IS A LONG FILE NAME FILE HERE AND THE DIRECTORY'
say '   IS SHOWING THAT YOU ARE IN A LONG FILE NAME DIRECTORY.         '
say ''
say '     CLEANING UP THE MESS I MADE WITH LONG FILE NAMES !!!!!'

'dir >>'tstdrv':\batch\snfbpb_l'

'del "A long~!@#$%^&*(()-_=..,.bat"'
'cd \hpfsdir'
'RD "A~Long!@#$%^^&()File_na me.,,.+"'
'cd ..'
'rd hpfsdir'

/* ------------------------------------------------------------------------- */
CLEANUP:
tstdrv':'
'cd \batch'
'zap 'tstdrv':\tmpbpb >nul 2>nul'
'zap 'os2drv':\tmpbpb >nul 2>nul'

if gothpfs = 'N' then do
   'echo **** SNFBPB testcase has ended -   >>'tstdrv':\batch\snfbpb_l'
   end
else do
   /* ---------------------------------------------------------------------- */
   fnd_longname = 0;
   'copy 'tstdrv':\batch\snfbpb_l 'tstdrv':\batch\snfbpb.chk'
   outpname = tstdrv':\batch\snfbpb.chk'
   x=stream(outpname,'c','open read');
   do forever;
      line = linein(outpname);
      if pos('A~Long!@#$^^&()File_na me.,,.+', line) > 0  then do
         fnd_longname = fnd_longname + 1;
         end
      if pos('A long~!@#$^&.BAT(()-_=..,.bat', line) > 0  then do
         fnd_longname = fnd_longname + 1;
         end
      if lines(outpname) = 0 then leave
   end
   x=stream(outpname,'c','close')
   'erase 'tstdrv':\batch\snfbpb.chk'
   if fnd_longname = 2 then do
         'echo ********************************************  >>'tstdrv':\batch\snfbpb_l'
         'echo **** SNFBPB test of HPFS long names - PASS    >>'tstdrv':\batch\snfbpb_l'
      end
   else do
         'echo ********************************************  >>'tstdrv':\batch\snfbpb_l'
         'echo **** SNFBPB test of HPFS long names - FAIL    >>'tstdrv':\batch\snfbpb_l'
      end
   /* ------------------------------------------------------------------------- */
   end
exit

/*-------------------------------------------------------------------------- */
FIND_HPFS:
procedure expose outdrv gothpfs tstdrv
parse arg chkfle
/* ----------------------------- */
drvname  = left(chkfle,7)
filename = outdrv':\tmpbpb\'drvname
x=stream(filename,'c','open read');
do forever;
   line = linein(filename);
   if pos('The type of file', line) > 0  then do     /* found line to check */
      if pos('HPFS', line) > 0  then do
         gothpfs = 'Y'
         leave
         end
      else
      if pos('FAT', line) > 0  then do
         gothpfs = 'N'
         leave
         end
      end
   if lines(filename) = 0 then leave
end
x=stream(filename,'c','close')
return

/*-------------------------------------------------------------------------- */
INFO_PLEASE:
say '[1;26;45m  ͻ  '
say '   SNFBPB.CMD is copied to \BATCH directory on testcase partition     '
say '                                                                      '
say '   Parameters: NONE                                                   '
say '                                                                      '
say '   Tests HPFS long filenames and directory names                      '
say '                                                                      '
say '   Uses OS/2 environment variables to determine testcase drive.       '
say '                                                                      '
say '   Checks drives C,D,E,F for HPFS file system, message if not found   '
say '                                                                      '
say '   NOTE: If there are unallocated or lost clusters on HPFS partition  '
say '         then this testcase will hang system.  To correct, execute    '
say '         "chkdsk /f:3" for all HPFS partitions and re-run SNFBPB.     '
say '  ͼ  [0;40;37m'
exit
/*-------------------------------------------------------------------------- */
