/* ------------------------------------------------------------------------- */
/* SNFREXX.CMD - Test REXX language processing                               */
/*                                                                           */
/*    Parameters: NONE                                                       */
/*                                                                           */
/*    Carried on: ACCEPTANCE DISKETTE 1 and w:\accept\batch on LAN setup     */
/*                                                                           */
/*    Invocation: from OS/2 full screen prompt \batch\snfrexx                */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT') /* get OS2 boot drive letter */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT') /* get testcase drive letter */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \rexx'

say  '[1;03;33m Writing output to 'tstdrv':\rexx\rexx_log.                [0;40;37m'
say  '[1;03;33m Please wait....................................... [0;40;37m'
say  '[1;03;33m                                                    [0;40;37m'
say  '[1;03;33m There are 2 commands that display system error     [0;40;37m'
say  '[1;03;33m code (SYS 1041), the 2 tests are designed to fail. [0;40;37m'
say  '[1;03;33m                                                    [0;40;37m'

'call rexost.cmd > 'tstdrv':\rexx\rexx_log'
'call rexfundg.cmd >> 'tstdrv':\rexx\rexx_log'
'cd \batch'
tstdrv':\util\grep -Np -Ny "OK"  'tstdrv':\rexx\rexx_log'
tstdrv':\util\grep -Np -Ny "Bad" 'tstdrv':\rexx\rexx_log'

say '[1;03;33m    Scanning output log \REXX\REXX_LOG for "OK"     [0;40;37m'
say '[1;03;33m *********** There should be 71 entries *********** [0;40;37m'
'find /c "OK" 'tstdrv':\rexx\rexx_log'
exit

/*-------------------------------------------------------------------------- */
INFO_PLEASE:
  say '[1;26;45m  ͻ  '
  say '   SNFREXX.CMD is copied to \BATCH directory on testcase partition    '
  say '                                                                      '
  say '   Parameters: NONE                                                   '
  say '                                                                      '
  say '   Combined Log File: \REXX\REXX_LOG                                  '
  say '                                                                      '
  say '   Tests REXX language processing                                     '
  say '                                                                      '
  say '   Uses OS/2 environment variables to determine testcase drive.       '
  say '  ͼ  [0;40;37m'
  exit
