/* ------------------------------------------------------------------------- */
/* FVTDISK.CMD - Run FVT Level test on physical and logical disk drives.     */
/*                                                                           */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
'cls'
say ''
arg parm comments
if left(parm,1) = '?' then signal INFO_PLEASE

/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
if stream(tstdrv':\logf','c','query size') >= 0 then do
   say 'LOGF directory found'
   end
else
   do
   say 'making LOGF directory'
   'mkdir 'tstdrv':\logf'
   end

/*-------------------------------------------------------------------------- */



tstdrv':'
'cd \logf'
'copy \stress\dasd.gra'
'copy \stress\global.gra'
'erase sfvtdisk'
'erase switchfd'

'switch -l5 -v5 -o -u'tstdrv':\script\fvtdisk.scr -fSFVTDISK'

say ''
say '********** Finished running FVT DISK Testcase ****************'
exit

/*-------------------------------------------------------------------------- */
INFO_PLEASE:
say '[1;26;45m  ͻ  '
say '   FVTDISK.CMD - Run FVT fixed disk testcase using DDTT testtool.     '
say '                                                                      '
say '   Parameters: NONE                                                   '
say '                                                                      '
say '   Uses OS/2 environment variables to determine testcase drive.       '
say '  ͼ  [0;40;37m'
exit
