/* ------------------------------------------------------------------------- */
/* TST_DSKT.CMD - FVT FORMAT Testcase for Diskette Drives                     */
/*                                                                           */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
'cls'
say ''
arg parm comments
if left(parm,1) = '?' then signal INFO_PLEASE

/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
if stream(tstdrv':\logf','c','query size') >= 0 then do
   say 'LOGF directory found'
   end
else
   do
   say 'making LOGF directory'
   'mkdir 'tstdrv':\logf'
   end

/* ------------------------------------------------------------------------- */
rc = RXFUNCADD('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs')
call SysLoadFuncs
/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \logf'
'copy \stress\dasd.gra'
'copy \stress\global.gra'
'erase sfvtdskt'
/* ------------------------------------------------------------------------- */
info = SysDriveInfo('A:')
/* ------------------------------------------------------------------------- */
if info = '' then do
   say ''
   say '[1;41;31m|||||||||||||||||||||||||||||||||||||||||||[1;42;37m'
   say ''
   say '[1;44;37mReady to run FVT 1.2MB FORMAT Testcases....[0;40;37m'
   say ''
   say '[1;44;37mInsert a scratch diskette in A:............[0;40;37m'
   say ''
   say '[1;44;37mMake sure diskette is not write protected..[0;40;37m'
   say ''
   say '[1;44;37mTo TEST 1.44MB DRIVE OTHER THAN A: You need [0;40;37m'
   say '[1;44;37mto edit the .INP file and change the a: to  [0;40;37m'
   say '[1;44;37mthe drive letter to be tested.              [0;40;37m'
   say '[1;44;37m        REFER TO \FORMAT\README.FMT         [0;40;37m'
   say ''
   say '[1;41;31m|||||||||||||||||||||||||||||||||||||||||||[0;40;37m'
   pause
   end
/* ------------------------------------------------------------------------- */
'switch -l5 -v5 -o -u'tstdrv':\script\dskt525.scr -fSFVTDISK'

exit
/*-------------------------------------------------------------------------- */
INFO_PLEASE:
  say '[1;26;45m  ͻ  '
  say '   TST1_2.CMD  - Copied to \FORMAT directory on testcase drive.       '
  say '                                                                      '
  say '   Parameters: NONE                                                   '
  say '                                                                      '
  say '   Runs both OS2 and DOS versions of format testcase.                 '
  say '                                                                      '
  say '   Requires SCRATCH DISKETTE in drive A: - WITH WRITE PROTECT OFF     '
  say '                                                                      '
  say '   Uses OS/2 environment variables to determine testcase drive.       '
  say '  ͼ  [0;40;37m'
  exit
