/* ------------------------------------------------------------------------- */
/* VIO.CMD - FVT Keyboard OS2 VIO WINDOW Testcase.                           */
/*                                                                           */
/*    Parameters: None                                                       */
/*                                                                           */
/*    Carried on: FVT Diskettes and CDROM                                    */
/*                                                                           */
/*    Invocation: from OS/2 window prompt \kbd\doall.cmd                     */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
parse arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE

/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT') /* get OS2 boot drive letter */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT') /* get testcase drive letter */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \kbd'
/* ------------------------------------------------------------------------- */

say " Press S (or s) and Enter, to test with a standard keyboard only."
say " Press U (or u) and Enter, to test with a USB keyboard only."
say " Press B (or b) and Enter, to test first with a standard keyboard "
say " and then a USB keyboard."


pull choice
if choice = "U"
  then
  do
    'erase kbd1.log'
    'erase kbd2.log'
    call usbkbd
    exit
  end
if choice = "u"
  then
  do
    'erase kbd1.log'
    'erase kbd2.log'
    call usbkbd
    exit
  end
if choice = "S"
  then
  do
    'erase kbd.log'
    call kbd
    exit
  end
if choice = "s"
  then
  do
    'erase kbd.log'
    call kbd
    exit
  end
if choice = "B"
  then
  do
    'erase kbd.log'
    call kbd
    'erase kbd1.log'
    'erase kbd2.log'
    call usbkbd
    exit
  end
if choice = "b"
  then
  do
    'erase kbd.log'
    call kbd
    'erase kbd1.log'
    'erase kbd2.log'
    call usbkbd
    exit
  end

exit


kbd:


'kbd -l9 -v9 -o -f\kbd.log'
/* ------------------------------------------------------------------------- */

'\util\grep.exe  "STATUS KBD" kbd.log'

return

usbkbd:


   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * Connect the USB keyboard to the system and                  *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
PAUSE

'kbd -l9 -v9 -o -f\kbd1.log'


'\util\grep.exe  "STATUS KBD" kbd1.log'

   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * Disconnect the USB keyboard from the system and then        *[0;40;37m'
   say '[1;09;41m * reconnect the USB keyboard.                                 *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'

PAUSE

'kbd -l9 -v9 -o -f\kbd2.log'


'\util\grep.exe  "STATUS KBD" kbd2.log'

return

complete:

   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * The test is completed.                                      *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'


exit
/*-------------------------------------------------------------------------- */
INFO_PLEASE:
  say '[1;26;45m  ͻ  '
  say '   VIO.CMD - Run FVT OS2 WINDOW Keyboard Testcase                     '
  say '                                                                      '
  say '   Parameters: None                                                   '
  say '                                                                      '
  say '   Invocation: \kbd\vio                                               '
  say '                                                                      '
  say '   Uses OS/2 environment variables to determine testcase drive.       '
  say '  ͼ  [0;40;37m'
exit
