/* ------------------------------------------------------------------------- */
/*                         ITL COMPATABILITY TESTKIT                         */
/*                                                                           */
/* INSTALL.CMD  - Copy ITL Testkit Installation files to \OS2, and calls a   */
/*                ITLBLDOB.CMD to build desktop folder and objects.          */
/*                                                                           */
/* Carried on: TESTKIT CDROM                                             */
/*                                                                           */
/* Parameters: NONE - Uses Presentation Manager Installation - PCMSETUP      */
/*                                                                           */
/* ASSUMES THAT CURRENT DRIVE IS --CDROM-- DRIVE WHEN INVOKED.               */
/*                                                                           */
/* INVOCATION FROM CDROM - PCM_INST DIRECTORY: [e:\itl_inst\]install         */
/*     Copy install files to \OS2 on boot drive                              */
/*     Call ITLBLDOB.CMD                                                     */
/*     Invoke SETUP.EXE                                                      */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
if left(parm.1,1) = '?' then signal INFO_PLEASE
say ' '

/*----------------------------------------------------------------------- */
/* USE OS2 ENVIRONMENT VARIABLE COMSPEC= TO FIND OS/2 BOOT DRIVE.         */
/*----------------------------------------------------------------------- */
cmspec = value('COMSPEC',,'OS2ENVIRONMENT');
os2drv = left(cmspec,1)
/*-------------------------------------------------------------------------- */
currdir=directory();          /* use REXX DIRECTORY to determine CDROM drive */
cddrv = left(currdir,1);
/*-------------------------------------------------------------------------- */
os2drv':'
'cd \'
/*-------------------------------------------------------------------------- */
'attrib  -h -r -s 'os2drv':\OS2KRNL'                           /**************/
if stream(os2drv':\os2krnl','c','query exists') = '' then do   /* NO OS2KRNL */
   say '[1;09;41m  *********************************************************[0;40;37m';
   say '[1;09;41m  *** Could NOT find 'os2drv'\OS2KRNL.  Check/Set the      ***[0;40;37m';
   say '[1;09;41m  *** COMSPEC environment var, reboot, and re-enter.    ***[0;40;37m';
   say '[1;09;41m  *********************************************************[0;40;37m';
   signal INFO_PLEASE
   end
else do
   say '[1;37;45m  *****************************************************[0;40;37m';
   say '[1;37;45m  *** OS2KRNL found on drive 'os2drv'                      ***[0;40;37m';
   say '[1;37;45m  *****************************************************[0;40;37m';
   end
'attrib  +h +r +s 'os2drv':\OS2KRNL'

/*-------------------------------------------------------------------------- */
if stream(os2drv':\config.sys','c','query exists') = '' then do    /* NO CONFIG.SYS */
   say '[1;09;41m  *****************************************************[0;40;37m';
   say '[1;09;41m  *** Could NOT find 'os2drv'\CONFIG.SYS.  Verify drive   ***[0;40;37m';
   say '[1;09;41m  *** 'os2drv' is correct, then re-enter from CD drive.   ***[0;40;37m';
   say '[1;09;41m  *****************************************************[0;40;37m';
   signal INFO_PLEASE
   end
else do
   say '[1;37;45m  *** CONFIG.SYS found on drive 'os2drv'                   ***[0;40;37m';
   say '[1;37;45m  *****************************************************[0;40;37m';
   end

/*-------------------------------------------------------------------------- */
call rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/*-------------------------------------------------------------------------- */
'copy   'cddrv':\lan_inst\PCMKIT_F.ICO 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMDOC.INF   'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMDOC.ICO   'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMHDW.EXE   'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMHDW.ICO   'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\LANTEST.EXE  'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\LANTEST.ICO  'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMRSLTS.EXE 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMRSLTS.ICO 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCMBLDOB.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PREPRSLT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\CHEKRSLT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PCLIRSLT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\ACLIRSLT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\PSVRRSLT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\ASVRRSLT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\LANSETUP.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\LANRBOOT.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\REMVKIT.CMD  'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\CLEARLAN.CMD 'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\SWBOOT.EXE   'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\HKDD.SYS     'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\GREP.EXE     'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\ZAP.EXE      'os2drv':\os2 >NUL'
'copy   'cddrv':\lan_inst\FORTEXT      'os2drv':\os2 >NUL'










call SysSleep 5;

say '[1;37;45m  *** INSTALLATION AND RESULTS FILES COPIED TO DISK ***[0;40;37m';
say '[1;37;45m  *****************************************************[0;40;37m';

call SysSleep 5;
/* ------------------------------------------------------------------------ */
/* CALL PCMBLDOB.CMD to build desktop folder and program objects            */
/* ------------------------------------------------------------------------ */
'call 'os2drv':\OS2\PCMBLDOB.CMD'
call SysSleep 3;

say '[1;37;45m  *****************************************************[0;40;37m';
/* ------------------------------------------------------------------------ */
cddrv':'

say '';

'call 'cddrv':\LAN_INST\LANSETUP.CMD'

'cls'
say ''
say ''
say '[1;37;45mͻ';
say '        System has been prepared for LAN testing.        ';
say '                                                         ';
say '            Remove the diskette from drive A:            ';
say '                                                         ';
say '              Exit the current OS/2 session.             ';
say '                                                         ';
say '     Shutdown and Reboot system to activate changes.     ';
say 'ͼ[0;40;37m';


exit;

/* ------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------ */
INFO_PLEASE:
say ''
say '[1;37;45mͻ';
say ' INSTALL.CMD - Copy ITL Testkit Install files from TESTKIT CDROM       ';
say '               to \OS2 directory on boot drive.                        ';
say '                                                                       ';
say ' Parameters:  NONE - User enters parms in PM program menus.            ';
say '                                                                       ';
say ' ASSUMES THAT CURRENT DRIVE IS --CDROM-- DRIVE WHEN INVOKED.           ';
say '                                                                       ';
say ' INVOCATION FROM CDROM DRIVE  [E:\LAN_inst\]install                    ';
say '                                                                       ';
say '       Copy install files to \os2 directory of OS2 boot drive.         ';
say '       Call PCMBLDOB.CMD                                               ';
say '       Invoke LANSETUP.CMD                                             ';
say 'ͼ[0;40;37m';
exit
