/* ------------------------------------------------------------------------- */
/*                         PCM LAN COMPATABILITY TESTKIT                     */
/*                                                                           */
/* LANRBOOT.CMD - Reboot PCM system to run LAN Distance Connection Test      */
/*                                                                           */
/* Carried on: "SETUP" Diskette                                              */
/*                                                                           */
/* Parameters: NONE - Called by LANTEST.EXE when it is time to reboot.       */
/* Last Update:  06/06/97 - 4:00pm - M.B.                                    */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE

/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */

if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m *************************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCM LAN Testing    *[0;40;37m'
   say '[1;09;41m * LANSETUP.CMD to update config.sys, then shutdown & reboot to continue.*[0;40;37m'
   say '[1;09;41m *************************************************************************[0;40;37m'
   exit
   end

/*-------------------------------------------------------------------------- */
os2drv':'
if stream(os2drv':\STARTUP.CMD' , 'c' , 'query exists') = '' then do
   say '[1;09;41m *************************************************************************[0;40;37m'
   say '[1;09;41m * STARTUP.CMD not found.  System not configured. Run PCM LAN Testing    *[0;40;37m'
   say '[1;09;41m * SETUP.CMD to install STARTUP.CMD, then shutdown & reboot to continue. *[0;40;37m'
   say '[1;09;41m *************************************************************************[0;40;37m'
   exit
   end
else do
     say '[1;09;41m ****************************************************[0;40;37m'
     say '[1;09;41m * STARTUP.CMD found....processing continues....... *[0;40;37m'
     say '[1;09;41m ****************************************************[0;40;37m'
     end

if stream(os2drv':\STARTUP.HLD' , 'c' , 'query exists') = '' then do
   say '[1;09;41m *************************************************************[0;40;37m'
   say '[1;09;41m * STARTUP.HLD not found.  Copy STARTUP.CMD to STARTUP.HLD   *[0;40;37m'
   say '[1;09;41m *************************************************************[0;40;37m'
   'copy 'os2drv':\startup.cmd 'os2drv':\startup.hld'
   end
else do
     say '[1;09;41m *******************************************************[0;40;37m'
     say '[1;09;41m * STARTUP.HLD found....no copy of startup.cmd done.   *[0;40;37m'
     say '[1;09;41m *******************************************************[0;40;37m'
     end


/*------------------------------------------------------------------------- */
/* Re-create STARTUP.CMD to start LAN DISTANCE and REQUESTER, then start    */
/* a session with the iltld.cmd testcase.                                   */
/*------------------------------------------------------------------------- */
line1 = 'LDSTART'
line2 = 'NET START REQ'
line3 = 'START  "ITL LAN DISTANCE TEST"  /c /b /win \itlutil\itlld.cmd'
line4 = 'EXIT'

new_startup = os2drv':\startup.new';

call LINEOUT new_startup,,1;        /* open new_startup set to 1st byte */

call LINEOUT new_startup, line1;
call LINEOUT new_startup, line2;
call LINEOUT new_startup, line3;
call LINEOUT new_startup, line4;

call LINEOUT new_startup, '1A'x;                     /* write EOF to newfile */
call LINEOUT new_startup;                            /* close newfile        */

if RESULT = 0 then do                  /* if all ok- copy new to startup.cmd */
   'erase 'os2drv':\startup.cmd'
   'copy  'os2drv':\startup.new 'os2drv':\startup.cmd >NUL'
   'erase 'os2drv':\startup.new'
   end

/*****************************************************************************/

/*-------------------------------------------------------------------------- */
/* Prepare system for LAN DISTANCE REMOTE CONNECTION via Modem for testing   */
/*-------------------------------------------------------------------------- */

'LDSHUTTL REMOTE'

/*-------------------------------------------------------------------------- */
call rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

 /*-------------------------------------------------------------------------- */
say ''
say ''
say '[1;37;45mͻ';
say ' LANTEST - The system is being prepared to reboot and continue with  ';
say '           running of LAN Distance Remote Testcase.                  ';
say '                                                                     ';
say ' The system will reboot after waiting for disk processing to finish. ';
say '                                                                     ';
say ' PLEASE WAIT --- Let program reboot system after finishing updates.  ';
say 'ͼ[0;40;37m';
say ''
say ''

c = 0
r = 15

DO 45
   pos = SysCurPos(r,c)
   say '.'
   c=c+1
   call SysSleep 1 ;
END

os2drv':\os2\swboot r'

exit;

/* ------------------------------------------------------------------------ */
INFO_PLEASE:
say ''
say '[1;37;45mͻ';
say ' LANRBOOT.CMD - Reboot PCM system to continue with LAN Distance      ';
say '                Connection testcase.                                 ';
say '                                                                     ';
say ' Parameters:  NONE - Called by LANTEST.EXE to reboot system.         ';
say 'ͼ[0;40;37m';
exit

